CRAN Package Check Results for Package simsalapar

Last updated on 2017-06-28 18:47:15.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.0-9 1.34 23.36 24.70 OK --no-tests
r-devel-linux-x86_64-debian-gcc 1.0-9 1.25 22.86 24.11 OK --no-tests
r-devel-linux-x86_64-fedora-clang 1.0-9 78.02 OK
r-devel-linux-x86_64-fedora-gcc 1.0-9 77.70 OK
r-devel-windows-ix86+x86_64 1.0-9 4.00 95.00 99.00 OK
r-patched-linux-x86_64 1.0-9 1.35 23.73 25.08 OK --no-tests
r-patched-solaris-sparc 1.0-9 906.80 OK
r-patched-solaris-x86 1.0-9 195.80 OK
r-release-linux-x86_64 1.0-9 1.44 23.38 24.82 OK --no-tests
r-release-windows-ix86+x86_64 1.0-9 7.00 125.00 132.00 OK
r-release-osx-x86_64 1.0-9 ERROR
r-oldrel-windows-ix86+x86_64 1.0-9 6.00 114.00 120.00 OK
r-oldrel-osx-x86_64 1.0-9 NOTE

Check Details

Version: 1.0-9
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking: ‘Rmpi’ ‘copula’
Flavor: r-release-osx-x86_64

Version: 1.0-9
Check: Rd cross-references
Result: NOTE
    Package unavailable to check Rd xrefs: ‘Rmpi’
Flavors: r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 1.0-9
Check: tests
Result: ERROR
     Running ‘doExtras.R’ [1s/1s]
     Comparing ‘doExtras.Rout’ to ‘doExtras.Rout.save’ ... OK
     Running ‘getArray-swap.R’ [1s/2s]
     Running ‘tst-wrongs.R’ [16s/53s]
     Running ‘tstTGforecasts.R’ [5s/18s]
     Running ‘tstVaRsuperadd.R’ [1s/1s]
    Running the tests in ‘tests/tstVaRsuperadd.R’ failed.
    Last 13 lines of output:
     > ## manually
     > require(copula) # for the following call of doOne()
     Loading required package: copula
    
     > nonGr <- get.nonGrids(varList)$nonGrids
    
     > dd <- doOne(n= min(nonGr$n, 100), d=4, family="Clayton", tau=0.5,
     + qmargin=nonGr$qmargin, alpha=nonGr$alpha)
     Error in onacopulaL("Clayton", list(th = iTau(archmCopula("clayton"), :
     could not find function "onacopulaL"
     Calls: demo -> source -> withVisible -> eval -> eval -> doOne
     In addition: Warning message:
     In library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called 'copula'
     Execution halted
Flavor: r-release-osx-x86_64

Version: 1.0-9
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘Rmpi’
Flavor: r-oldrel-osx-x86_64